Subject: [apps-discuss] APPSDIR review of draft-ietf-ledbat-congestion-09

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 22 May 2012 15:24:57 -0500

I have been selected as the Applications Area Directorate reviewer for
this draft (for background on appsdir, please see
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).

Please resolve these comments along with any other Last Call comments
you may receive. Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-ledbat-congestion-09
Title: Low Extra Delay Background Transport (LEDBAT)
Reviewer: Vijay K. Gurbani
Review Date: May-22-2012
IETF Last Call Date: Unknown
IESG Telechat Date: May-24-2012

Summary: This draft is ready for publication as an Experimental Standard
but it has some minor issues (detailed below) that should be addressed.

Major issues: 0
Minor issues: 3
Major issues: 2

Minor:

- S3.3: You probably need an accessor to get the timestamp; i.e.:
   OLD:
      remote_timestamp = data_packet.timestamp
   NEW:
      remote_timestamp = data_packet.timestamp()

- S3.3: The text says that the receiver "...MAY send all the
  one-way delay samples that it gathers in one acknowledgment." (last
  sentence of S3.3).  If that is the case, would you not need a
  segment identifier as well?  Or perhaps you don't really care
  about segment identifiers and the intent is for the receiver of
  the acknowledgment to simply average out all the delay times
  in the acknowledgment.  If so, you may want to state this more
  directly.

- S5: I am curious --- is there a companion document that discusses
  framing and wire-format of LEDBAT messages?  Or is framing left upto
  the sender and receiver?  This presupposes that the sender and receiver
  share the same genetic code (i.e., a sender from vendor A will not
  interoperate with a receiver from vendor B).

Nits:

- S2.1, bullet 3: s/bottleneck link,/bottleneck link./
   (i.e., end bullet with a period).

- S5.2: s/and halves on loss./and halves the congestion window on loss./

Thanks,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60563 (USA)
Email: vkg@{bell-labs.com,acm.org} / [email-masked]
Web:   http://ect.bell-labs.com/who/vkg/